Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.components.table.fill
Class TableReportCompileData

    java.lang.Object
      net.sf.jasperreports.engine.design.JRReportCompileData
          net.sf.jasperreports.components.table.fill.TableReportCompileData

All Implemented Interfaces:
  java.io.Serializable

    public class TableReportCompileData

extends JRReportCompileData

Version:
  $Id: TableReportCompileData.java 3732 2010-04-12 13:08:04Z lucianc $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Constructor Summary
`TableReportCompileData(JasperReport originialReport)`

Method Summary
`java.lang.String` | `getUnitName(JasperReport jasperReport, JRCrosstab crosstab)`
`java.lang.String` | `getUnitName(JasperReport jasperReport, JRDataset dataset)`

Methods inherited from class net.sf.jasperreports.engine.design.JRReportCompileData
`getCrosstabCompileData, getDatasetCompileData, getMainDatasetCompileData, setCrosstabCompileData, setDatasetCompileData, setMainDatasetCompileData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableReportCompileData

    public TableReportCompileData(JasperReport originialReport)

Method Detail

### getUnitName

    public java.lang.String getUnitName(JasperReport jasperReport,
                                        JRDataset dataset)

  Overrides:
    `getUnitName` in class `JRReportCompileData`

### getUnitName

    public java.lang.String getUnitName(JasperReport jasperReport,
                                        JRCrosstab crosstab)

  Overrides:
    `getUnitName` in class `JRReportCompileData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com